---
title: Remove 6.4 deprecations
issue: NEXT-12430 
---
# Core
* Removed classes:
    * `\Shopware\Core\Checkout\Order\SalesChannel\OrderRouteResponseStruct`
    * `\Shopware\Core\Checkout\Shipping\DataAbstractionLayer\ShippingMethodIndexer`
    * `\Shopware\Core\Checkout\Shipping\DataAbstractionLayer\ShippingMethodIndexingMessage`
    * `\Shopware\Core\Checkout\Shipping\DataAbstractionLayer\ShippingMethodPriceDeprecationUpdater`
    * `\Shopware\Core\Checkout\Test\Shipping\DataAbstractionLayer\ShippingMethodIndexerTest`
    * `\Shopware\Core\Content\MailTemplate\Aggregate\MailTemplateSalesChannel\MailTemplateSalesChannelCollection`
    * `\Shopware\Core\Content\MailTemplate\Aggregate\MailTemplateSalesChannel\MailTemplateSalesChannelDefinition`
    * `\Shopware\Core\Content\MailTemplate\Aggregate\MailTemplateSalesChannel\MailTemplateSalesChannelEntity`
    * `\Shopware\Core\Content\MailTemplate\Commands\AssignAllTemplatesToAllSalesChannelsCommand`
    * `\Shopware\Core\Content\Product\SalesChannel\Listing\ProductListingSorting`
    * `\Shopware\Core\Content\Product\SalesChannel\Listing\ProductListingSortingRegistry`
    * `\Shopware\Core\Framework\Test\Event\BusinessEventRegistryTest`
    * `\Shopware\Core\Framework\Test\Plugin\PluginAclTestDeprecated`
    * `\Shopware\Core\System\SystemConfig\Exception\BundleNotFoundException`
    * `\Shopware\Core\Framework\DataAbstractionLayer\Field\Flag\ReadProtected`
    * `\Shopware\Core\Checkout\Customer\DataAbstractionLayer\CustomerVatIdsDeprecationUpdater`
    * `\Shopware\Core\Checkout\Customer\SalesChannel\AccountRegistrationService`
    * `\Shopware\Core\Checkout\Customer\SalesChannel\AddressService`
    * `\Shopware\Core\Content\Product\SalesChannel\ProductReviewService`
    * `\Shopware\Core\Framework\DataAbstractionLayer\Dbal\CriteriaQueryHelper`
    * `\Shopware\Core\Framework\DataAbstractionLayer\Dbal\FieldResolver\FieldResolverInterface`
    * `src/Core/Framework/Test/Plugin/_fixture/plugins/SwagTestPluginAcl/src/SwagTestPluginAcl.php`
    * `\Shopware\Core\Framework\DataAbstractionLayer\Dbal\JoinBuilder\AntiJoinBuilder`
    * `\Shopware\Core\Framework\DataAbstractionLayer\Dbal\JoinBuilder\AntiJoinInfo`
    * `\Shopware\Core\Framework\DataAbstractionLayer\Dbal\JoinBuilder\JoinBuilderInterface`
    * `\Shopware\Core\Framework\DataAbstractionLayer\Dbal\JoinBuilder\ManyToManyJoinBuilder`
    * `\Shopware\Core\Framework\DataAbstractionLayer\Dbal\JoinBuilder\ManyToOneJoinBuilder`
    * `\Shopware\Core\Framework\DataAbstractionLayer\Dbal\JoinBuilder\OneToManyJoinBuilder`
    * `\Shopware\Core\Framework\DataAbstractionLayer\Dbal\JoinBuilder\TranslatedJoinBuilder`
    * `\Shopware\Core\Framework\DataAbstractionLayer\Search\Filter\AntiJoinFilter`
    * `\Shopware\Core\Content\Seo\Entity\Dbal\SeoUrlJoinBuilder`
    * `\Shopware\Core\Framework\Feature\FeatureNotActiveException`

* Removed service alias `Shopware\Core\System\StateMachine\StateMachineRegistry`
* Removed events
    * `\Shopware\Core\Checkout\Cart\Event\LineItemQuantityChangedEvent`
    * `\Shopware\Core\Checkout\Cart\Event\LineItemAddedEvent`
    * `\Shopware\Core\Checkout\Cart\Event\LineItemRemovedEvent`
    
* Removed methods
    * `\Shopware\Core\Checkout\Customer\Aggregate\CustomerAddress\CustomerAddressCollection::getVatIds`
    * `\Shopware\Core\Checkout\Customer\Aggregate\CustomerAddress\CustomerAddressCollection::filterByVatId`
    * `\Shopware\Core\Checkout\Customer\Aggregate\CustomerAddress\CustomerAddressEntity::getVatId`
    * `\Shopware\Core\Checkout\Customer\Aggregate\CustomerAddress\CustomerAddressEntity::setVatId`
    * `\Shopware\Core\Framework\DataAbstractionLayer\Dbal\FieldResolver\ManyToManyAssociationFieldResolver::resolve`
    * `\Shopware\Core\Framework\DataAbstractionLayer\Dbal\FieldResolver\ManyToManyAssociationFieldResolver::getJoinBuilder`
    * `\Shopware\Core\Framework\DataAbstractionLayer\Dbal\FieldResolver\ManyToOneAssociationFieldResolver::resolve`
    * `\Shopware\Core\Framework\DataAbstractionLayer\Dbal\FieldResolver\ManyToOneAssociationFieldResolver::getJoinBuilder`
    * `\Shopware\Core\Framework\DataAbstractionLayer\Dbal\FieldResolver\OneToManyAssociationFieldResolver::resolve`
    * `\Shopware\Core\Framework\DataAbstractionLayer\Dbal\FieldResolver\OneToManyAssociationFieldResolver::getJoinBuilder`
    * `\Shopware\Core\Framework\DataAbstractionLayer\Dbal\FieldResolver\TranslationFieldResolver::resolve`
    * `\Shopware\Core\Framework\DataAbstractionLayer\Dbal\FieldResolver\TranslationFieldResolver::getJoinBuilder`
    * `\Shopware\Core\Framework\DataAbstractionLayer\Dbal\EntityDefinitionQueryHelper::resolveAntiJoinAccessors`
    
    
* Removed command
    * `app:verify` (`\Shopware\Core\Framework\App\Command\VerifyManifestCommand`)

* Removed entity fields
    * `customer_address.vat_id` (`vatId` in `CustomerAddressDefinition`)
    
* Changed method signature
    * Added required parameter `CustomerEntity` to `\Shopware\Storefront\Page\Address\Detail\AddressDetailPageLoader::load`
    * Replaced `AddressService` with `AbstractListAddressRoute` in `\Shopware\Storefront\Page\Checkout\Register\CheckoutRegisterPageLoader::__construct`
    * Replaced `AddressService` with `AbstractListAddressRoute` in `\Shopware\Storefront\Page\Address\Detail\AddressDetailPageLoader::__construct`
    * Replaced `AccountRegistrationService` with `AbstractRegisterRoute` and `AbstractRegisterConfirmRoute` in `\Shopware\Storefront\Controller\RegisterController::__construct`
    * Replaced `ProductReviewService` with `AbstractProductReviewSaveRoute` in `\Shopware\Storefront\Controller\ProductController::__construct`
    * Removed `CustomerVatIdsDeprecationUpdater` from `\Shopware\Core\Checkout\Customer\DataAbstractionLayer\CustomerIndexer::__construct`

___
# API
* Removed route `/api/_action/theme/{themeId}/fields`
___
# Administration
* Removed methods:
  * `initCompactModeAndShowPreviews` in `component/data-grid/sw-data-grid/index.js`
    
* Removed twig blocks
    * `sw_cms_slot_component`
    * `sw_cms_slot_preview_overlay`
    * `sw_cms_slot_overlay`
    * `sw_cms_slot_overlay_content`
    * `sw_cms_slot_overlay_action_settings`
    * `sw_cms_slot_overlay_action_swap`
    * `sw_cms_slot_settings_modal`
    * `sw_cms_slot_settings_modal_component`
    * `sw_cms_slot_settings_modal_footer`
    * `sw_cms_slot_settings_modal_action_confirm`
    * `sw_cms_slot_element_modal`
    * `sw_cms_slot_element_modal_selection`
    * `sw_cms_slot_element_modal_selection_element`
    * `sw_cms_slot_element_modal_selection_element_component`
    * `sw_cms_slot_element_modal_selection_element_overlay`
    * `sw_cms_slot_element_modal_selection_element_label`
    * `sw_cms_slot_element_modal_footer`
    * `sw_cms_slot_element_modal_action_abort`
    * `sw_cms_toolbar_slot_language_swtich`
___
# Storefront

* Removed classes:
    * `src/Storefront/Controller/ProductExportController.php`
    * `src/Storefront/Event/BackwardSubscriber.php`
    * `src/Storefront/Page/Product/CrossSelling/CrossSellingElement.php`
    * `src/Storefront/Page/Product/CrossSelling/CrossSellingLoadedEvent.php`
    * `src/Storefront/Page/Product/CrossSelling/CrossSellingLoader.php`
    * `src/Storefront/Page/Product/CrossSelling/CrossSellingLoaderResult.php`
    * `src/Storefront/Page/Product/CrossSelling/CrossSellingProductCriteriaEvent.php`
    * `src/Storefront/Page/Product/CrossSelling/CrossSellingProductListCriteriaEvent.php`
    * `src/Storefront/Page/Product/CrossSelling/CrossSellingProductStreamCriteriaEvent.php`
    * `src/Storefront/Page/Product/ProductLoader.php`
    * `src/Storefront/Page/Product/ProductLoaderCriteriaEvent.php`
* Removed from public api `StorefrontPluginConfigurationFactory::createPluginConfig`
* Removed from public api `StorefrontPluginConfigurationFactory::createThemeConfig`
* Removed the following twig block:
    * `component_offcanvas_product_variants`
    * `page_account_overview_newest_order_table_header`
    * `page_account_overview_newest_order_table_header_date`
    * `page_account_overview_newest_order_table_header_number`
    * `page_account_overview_newest_order_table_header_payment_method`
    * `page_account_overview_newest_order_table_header_shipping_method`
    * `page_account_overview_newest_order_table_header_actions`
    * `page_account_orders_table_header`
    * `page_account_orders_table_header_date`
    * `page_account_orders_table_header_number`
    * `page_account_orders_table_header_payment_method`
    * `page_account_orders_table_header_shipping_method`
    * `page_account_orders_table_header_actions`
    * `page_account_order_item_detail_action`
    * `page_account_order_item_detail_reorder`
    * `page_account_order_item_detail_reorder_form_action`
    * `page_account_order_item_detail_reorder_csrf`
    * `page_account_order_item_detail_reorder_redirect_input`
    * `page_account_order_item_detail_reorder_lineitems_input`
    * `page_account_order_item_detail_reorder_lineitem_input`
    * `page_account_order_item_detail_reorder_button`
    * `page_account_order_item_date`
    * `page_account_order_item_date_label`
    * `page_account_order_item_date_value`
    * `page_account_order_item_number`
    * `page_account_order_item_number_label`
    * `page_account_order_item_number_value`
    * `page_account_order_item_payment_method`
    * `page_account_order_item_payment_method_label`
    * `page_account_order_item_payment_method_value`
    * `page_account_order_item_shipping_method`
    * `page_account_order_item_shipping_method_label`
    * `page_account_order_item_shipping_method_value`
    * `page_account_order_item_actions`
    * `page_account_order_item_actions_value`
    * `page_account_order_item_actions_value_text`
    * `page_checkout_item_info_variants`
    * `page_product_detail_breadcrumb`
    * `page_product_detail_price_unit_refrence_content`
    * `layout_header_minimal_switch`
    
* Removed variable `referncePrice` in `src/Storefront/Resources/views/storefront/component/product/card/price-unit.html.twig`
* Removed prop `themeFields` in `src/Storefront/Resources/app/administration/src/modules/sw-theme-manager/page/sw-theme-manager-detail/index.js`
* Removed js api
    * `ThemeApiService::getFields`
    * `Vector::set`
___
# Upgrade Information
## Storefront

### `CustomerEntity` is now required in account related methods and routes

If you need the `CustomerEntity` of the logged-in customer, just add the annotation `@LoginRequired()` 
and add a `CustomerEntity $customer` parameter to your controller action. 

### Routing changes

The accessibility of a route in maintenance mode, is now exclusively controlled by the request attribute `allow_maintenance`. 
You can use `defaults={"allow_maintenance"=true}` in your route definition.

Removed the parameter `swagShopId` from `StorefrontRenderEvent`, Use `appShopId` instead.


### System-Config

Removed default for `detail.showReviews`, use `core.listing.showReview` instead.

### Changed classes

The classes in `Shopware\Storefront\Page\Product\CrossSelling` moved into the core `Shopware\Core\Content\Product\SalesChannel\CrossSelling`

The class `\Shopware\Storefront\Page\Product\ProductLoader` was removed, use `\Shopware\Core\Content\Product\SalesChannel\Detail\ProductDetailRoute` instead.

The methods  `StorefrontPluginConfigurationFactory::createPluginConfig` and `StorefrontPluginConfigurationFactory::createThemeConfig` 
were removed from public api, use `StorefrontPluginConfigurationFactory::createFromBundle` or `StorefrontPluginConfigurationFactory::createFromApp` instead. 

### API

We've removed the route `/api/_action/theme/{themeId}/fields` (`api.action.theme.fields`), use `/api/_action/theme/{themeId}/structured-field` (`api.action.theme.structuredFields`) instead.


## Core

* `ReadProtected` replaced by `ApiAware`, See [NEXT-13371 - Added api aware flag](../release-6-3-5-1/2021-01-25-added-api-aware-flag.md)
* `\Shopware\Core\Checkout\Customer\SalesChannel\AccountRegistrationService` replaced by `RegisterRoute` and `RegisterConfirmRoute`
* `CustomerEntity` is now required in account related routes


### Events

All events that are dispatched in a sales channel context now implement `ShopwareSalesChannelEvent`. The return type `getContext` may have changed from `SalesChannelContext`
to `Context`. To get the sales channel context, use `getSalesChannelContext`.

## Administration 

### Removed deprecated SCSS color variables

We've removed a lot of deprecated colors.

### Changed methods and events

* stopped emitting `paginate` event in `src/app/component/entity/sw-entity-listing/index.js`, use `page-change` instead.
* removed method `generateDocumentPreviewLink` in `src/core/service/api/document.api.service.js`
* removed method `onChangeDisplayNoteDelivery` in `src/module/sw-settings-document/page/sw-settings-document-detail/index.js`
* removed data `discardChanges` in `src/module/sw-category/page/sw-category-detail/index.js`
* removed method `generateDocumentLink` in `src/core/service/api/document.api.service.js` use `getDocument` instead

### Removed blocks

- `sw_cms_slot_component` replaced by `sw_cms_slot_content_component`
- `sw_cms_slot_preview_overlay` replaced by `sw_cms_slot_content_preview_overlay`
- `sw_cms_slot_overlay` replaced by `sw_cms_slot_content_overlay`
- `sw_cms_slot_overlay_content` replaced by `sw_cms_slot_content_overlay_content`
- `sw_cms_slot_overlay_action_settings` replaced by `sw_cms_slot_content_overlay_action_settings`
- `sw_cms_slot_overlay_action_swap` replaced by `sw_cms_slot_content_overlay_action_swap`
- `sw_cms_slot_settings_modal` replaced by `sw_cms_slot_content_settings_modal`
- `sw_cms_slot_settings_modal_component` replaced by `sw_cms_slot_content_settings_modal_component`
- `sw_cms_slot_settings_modal_footer` replaced by `sw_cms_slot_content_settings_modal_footer`
- `sw_cms_slot_settings_modal_action_confirm` replaced by `sw_cms_slot_content_settings_modal_action_confirm`
- `sw_cms_slot_element_modal` replaced by `sw_cms_slot_content_element_modal`
- `sw_cms_slot_element_modal_selection` replaced by `sw_cms_slot_content_element_modal_selection`
- `sw_cms_slot_element_modal_selection_element` replaced by `sw_cms_slot_content_element_modal_selection_element`
- `sw_cms_slot_element_modal_selection_element_component` replaced by `sw_cms_slot_content_element_modal_selection_element_component`
- `sw_cms_slot_element_modal_selection_element_overlay` replaced by `sw_cms_slot_content_element_modal_selection_element_overlay`
- `sw_cms_slot_element_modal_selection_element_label` replaced by `sw_cms_slot_content_element_modal_selection_element_label`
- `sw_cms_slot_element_modal_footer` replaced by `sw_cms_slot_content_element_modal_footer`
- `sw_cms_slot_element_modal_action_abort` replaced by `sw_cms_slot_content_element_modal_action_abort`
- `sw_cms_toolbar_slot_language_swtich` replaced by `sw_cms_toolbar_slot_language_switch`
