<!--- auto generated by `bin/console docs:generate-scripts-reference` in the shopware project, don't edit this file manually -->
# List of all available Hooks for Scripts

## Data Loading

All available Hooks that can be used to load additional data.

#### customer-group-registration-page-loaded

| <!-- -->               | <!-- -->                                |
|:-----------------------|:----------------------------------------|
| **Name**               | customer-group-registration-page-loaded                         |
| **Since**              | 6.4.8.0                        |
| **Class**              | `Shopware\Storefront\Page\Account\CustomerGroupRegistration\CustomerGroupRegistrationPageLoadedHook`                      |
| **Description**        | Triggered when the CustomerGroupRegistrationPage is loaded<br>                  |
| **Available Data**     | page: [`Shopware\Storefront\Page\Account\CustomerGroupRegistration\CustomerGroupRegistrationPage`](https://github.com/shopware/platform/blob/trunk/src/Storefront/Page/Account/CustomerGroupRegistration/CustomerGroupRegistrationPage.php)<br>context: [`Shopware\Core\Framework\Context`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/Context.php)<br>salesChannelContext: [`Shopware\Core\System\SalesChannel\SalesChannelContext`](https://github.com/shopware/platform/blob/trunk/src/Core/System/SalesChannel/SalesChannelContext.php)<br>        |
| **Available Services** | [repository](./data-loading-script-services-reference.md#RepositoryFacade)<br>[config](./miscellaneous-script-services-reference.md#SystemConfigFacade)<br>[store](./data-loading-script-services-reference.md#SalesChannelRepositoryFacade)<br> |
| **Stoppable**          | `false`                  |

#### account-guest-login-page-loaded

| <!-- -->               | <!-- -->                                |
|:-----------------------|:----------------------------------------|
| **Name**               | account-guest-login-page-loaded                         |
| **Since**              | 6.4.8.0                        |
| **Class**              | `Shopware\Storefront\Page\Account\Login\AccountGuestLoginPageLoadedHook`                      |
| **Description**        | Triggered when the AccountGuestLoginPage is loaded<br>                  |
| **Available Data**     | page: [`Shopware\Storefront\Page\Account\Login\AccountLoginPage`](https://github.com/shopware/platform/blob/trunk/src/Storefront/Page/Account/Login/AccountLoginPage.php)<br>context: [`Shopware\Core\Framework\Context`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/Context.php)<br>salesChannelContext: [`Shopware\Core\System\SalesChannel\SalesChannelContext`](https://github.com/shopware/platform/blob/trunk/src/Core/System/SalesChannel/SalesChannelContext.php)<br>        |
| **Available Services** | [repository](./data-loading-script-services-reference.md#RepositoryFacade)<br>[config](./miscellaneous-script-services-reference.md#SystemConfigFacade)<br>[store](./data-loading-script-services-reference.md#SalesChannelRepositoryFacade)<br> |
| **Stoppable**          | `false`                  |

#### account-login-page-loaded

| <!-- -->               | <!-- -->                                |
|:-----------------------|:----------------------------------------|
| **Name**               | account-login-page-loaded                         |
| **Since**              | 6.4.8.0                        |
| **Class**              | `Shopware\Storefront\Page\Account\Login\AccountLoginPageLoadedHook`                      |
| **Description**        | Triggered when the AccountLoginPage is loaded<br>                  |
| **Available Data**     | page: [`Shopware\Storefront\Page\Account\Login\AccountLoginPage`](https://github.com/shopware/platform/blob/trunk/src/Storefront/Page/Account/Login/AccountLoginPage.php)<br>context: [`Shopware\Core\Framework\Context`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/Context.php)<br>salesChannelContext: [`Shopware\Core\System\SalesChannel\SalesChannelContext`](https://github.com/shopware/platform/blob/trunk/src/Core/System/SalesChannel/SalesChannelContext.php)<br>        |
| **Available Services** | [repository](./data-loading-script-services-reference.md#RepositoryFacade)<br>[config](./miscellaneous-script-services-reference.md#SystemConfigFacade)<br>[store](./data-loading-script-services-reference.md#SalesChannelRepositoryFacade)<br> |
| **Stoppable**          | `false`                  |

#### account-edit-order-page-loaded

| <!-- -->               | <!-- -->                                |
|:-----------------------|:----------------------------------------|
| **Name**               | account-edit-order-page-loaded                         |
| **Since**              | 6.4.8.0                        |
| **Class**              | `Shopware\Storefront\Page\Account\Order\AccountEditOrderPageLoadedHook`                      |
| **Description**        | Triggered when the AccountEditOrderPage is loaded<br>                  |
| **Available Data**     | page: [`Shopware\Storefront\Page\Account\Order\AccountEditOrderPage`](https://github.com/shopware/platform/blob/trunk/src/Storefront/Page/Account/Order/AccountEditOrderPage.php)<br>context: [`Shopware\Core\Framework\Context`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/Context.php)<br>salesChannelContext: [`Shopware\Core\System\SalesChannel\SalesChannelContext`](https://github.com/shopware/platform/blob/trunk/src/Core/System/SalesChannel/SalesChannelContext.php)<br>        |
| **Available Services** | [repository](./data-loading-script-services-reference.md#RepositoryFacade)<br>[config](./miscellaneous-script-services-reference.md#SystemConfigFacade)<br>[store](./data-loading-script-services-reference.md#SalesChannelRepositoryFacade)<br> |
| **Stoppable**          | `false`                  |

#### account-order-detail-page-loaded

| <!-- -->               | <!-- -->                                |
|:-----------------------|:----------------------------------------|
| **Name**               | account-order-detail-page-loaded                         |
| **Since**              | 6.4.8.0                        |
| **Class**              | `Shopware\Storefront\Page\Account\Order\AccountOrderDetailPageLoadedHook`                      |
| **Description**        | Triggered when the AccountOrderDetailPage is loaded<br>                  |
| **Available Data**     | page: [`Shopware\Storefront\Page\Account\Order\AccountOrderDetailPage`](https://github.com/shopware/platform/blob/trunk/src/Storefront/Page/Account/Order/AccountOrderDetailPage.php)<br>context: [`Shopware\Core\Framework\Context`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/Context.php)<br>salesChannelContext: [`Shopware\Core\System\SalesChannel\SalesChannelContext`](https://github.com/shopware/platform/blob/trunk/src/Core/System/SalesChannel/SalesChannelContext.php)<br>        |
| **Available Services** | [repository](./data-loading-script-services-reference.md#RepositoryFacade)<br>[config](./miscellaneous-script-services-reference.md#SystemConfigFacade)<br>[store](./data-loading-script-services-reference.md#SalesChannelRepositoryFacade)<br> |
| **Stoppable**          | `false`                  |

#### account-order-page-loaded

| <!-- -->               | <!-- -->                                |
|:-----------------------|:----------------------------------------|
| **Name**               | account-order-page-loaded                         |
| **Since**              | 6.4.8.0                        |
| **Class**              | `Shopware\Storefront\Page\Account\Order\AccountOrderPageLoadedHook`                      |
| **Description**        | Triggered when the AccountOrderPage is loaded<br>                  |
| **Available Data**     | page: [`Shopware\Storefront\Page\Account\Order\AccountOrderPage`](https://github.com/shopware/platform/blob/trunk/src/Storefront/Page/Account/Order/AccountOrderPage.php)<br>context: [`Shopware\Core\Framework\Context`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/Context.php)<br>salesChannelContext: [`Shopware\Core\System\SalesChannel\SalesChannelContext`](https://github.com/shopware/platform/blob/trunk/src/Core/System/SalesChannel/SalesChannelContext.php)<br>        |
| **Available Services** | [repository](./data-loading-script-services-reference.md#RepositoryFacade)<br>[config](./miscellaneous-script-services-reference.md#SystemConfigFacade)<br>[store](./data-loading-script-services-reference.md#SalesChannelRepositoryFacade)<br> |
| **Stoppable**          | `false`                  |

#### account-overview-page-loaded

| <!-- -->               | <!-- -->                                |
|:-----------------------|:----------------------------------------|
| **Name**               | account-overview-page-loaded                         |
| **Since**              | 6.4.8.0                        |
| **Class**              | `Shopware\Storefront\Page\Account\Overview\AccountOverviewPageLoadedHook`                      |
| **Description**        | Triggered when the AccountOverviewPage is loaded<br>                  |
| **Available Data**     | page: [`Shopware\Storefront\Page\Account\Overview\AccountOverviewPage`](https://github.com/shopware/platform/blob/trunk/src/Storefront/Page/Account/Overview/AccountOverviewPage.php)<br>context: [`Shopware\Core\Framework\Context`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/Context.php)<br>salesChannelContext: [`Shopware\Core\System\SalesChannel\SalesChannelContext`](https://github.com/shopware/platform/blob/trunk/src/Core/System/SalesChannel/SalesChannelContext.php)<br>        |
| **Available Services** | [repository](./data-loading-script-services-reference.md#RepositoryFacade)<br>[config](./miscellaneous-script-services-reference.md#SystemConfigFacade)<br>[store](./data-loading-script-services-reference.md#SalesChannelRepositoryFacade)<br> |
| **Stoppable**          | `false`                  |

#### account-payment-method-page-loaded

| <!-- -->               | <!-- -->                                |
|:-----------------------|:----------------------------------------|
| **Name**               | account-payment-method-page-loaded                         |
| **Since**              | 6.4.8.0                        |
| **Class**              | `Shopware\Storefront\Page\Account\PaymentMethod\AccountPaymentMethodPageLoadedHook`                      |
| **Description**        | Triggered when the AccountPaymentMethodPage is loaded<br>                  |
| **Available Data**     | page: [`Shopware\Storefront\Page\Account\PaymentMethod\AccountPaymentMethodPage`](https://github.com/shopware/platform/blob/trunk/src/Storefront/Page/Account/PaymentMethod/AccountPaymentMethodPage.php)<br>context: [`Shopware\Core\Framework\Context`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/Context.php)<br>salesChannelContext: [`Shopware\Core\System\SalesChannel\SalesChannelContext`](https://github.com/shopware/platform/blob/trunk/src/Core/System/SalesChannel/SalesChannelContext.php)<br>        |
| **Available Services** | [repository](./data-loading-script-services-reference.md#RepositoryFacade)<br>[config](./miscellaneous-script-services-reference.md#SystemConfigFacade)<br>[store](./data-loading-script-services-reference.md#SalesChannelRepositoryFacade)<br> |
| **Stoppable**          | `false`                  |

#### account-profile-page-loaded

| <!-- -->               | <!-- -->                                |
|:-----------------------|:----------------------------------------|
| **Name**               | account-profile-page-loaded                         |
| **Since**              | 6.4.8.0                        |
| **Class**              | `Shopware\Storefront\Page\Account\Profile\AccountProfilePageLoadedHook`                      |
| **Description**        | Triggered when the AccountProfilePage is loaded<br>                  |
| **Available Data**     | page: [`Shopware\Storefront\Page\Account\Profile\AccountProfilePage`](https://github.com/shopware/platform/blob/trunk/src/Storefront/Page/Account/Profile/AccountProfilePage.php)<br>context: [`Shopware\Core\Framework\Context`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/Context.php)<br>salesChannelContext: [`Shopware\Core\System\SalesChannel\SalesChannelContext`](https://github.com/shopware/platform/blob/trunk/src/Core/System/SalesChannel/SalesChannelContext.php)<br>        |
| **Available Services** | [repository](./data-loading-script-services-reference.md#RepositoryFacade)<br>[config](./miscellaneous-script-services-reference.md#SystemConfigFacade)<br>[store](./data-loading-script-services-reference.md#SalesChannelRepositoryFacade)<br> |
| **Stoppable**          | `false`                  |

#### account-register-page-loaded

| <!-- -->               | <!-- -->                                |
|:-----------------------|:----------------------------------------|
| **Name**               | account-register-page-loaded                         |
| **Since**              | 6.4.8.0                        |
| **Class**              | `Shopware\Storefront\Page\Account\Register\AccountRegisterPageLoadedHook`                      |
| **Description**        | Triggered when the AccountLoginPage is loaded<br>                  |
| **Available Data**     | page: [`Shopware\Storefront\Page\Account\Login\AccountLoginPage`](https://github.com/shopware/platform/blob/trunk/src/Storefront/Page/Account/Login/AccountLoginPage.php)<br>context: [`Shopware\Core\Framework\Context`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/Context.php)<br>salesChannelContext: [`Shopware\Core\System\SalesChannel\SalesChannelContext`](https://github.com/shopware/platform/blob/trunk/src/Core/System/SalesChannel/SalesChannelContext.php)<br>        |
| **Available Services** | [repository](./data-loading-script-services-reference.md#RepositoryFacade)<br>[config](./miscellaneous-script-services-reference.md#SystemConfigFacade)<br>[store](./data-loading-script-services-reference.md#SalesChannelRepositoryFacade)<br> |
| **Stoppable**          | `false`                  |

#### address-detail-page-loaded

| <!-- -->               | <!-- -->                                |
|:-----------------------|:----------------------------------------|
| **Name**               | address-detail-page-loaded                         |
| **Since**              | 6.4.8.0                        |
| **Class**              | `Shopware\Storefront\Page\Address\Detail\AddressDetailPageLoadedHook`                      |
| **Description**        | Triggered when the AddressDetailPage is loaded<br>                  |
| **Available Data**     | page: [`Shopware\Storefront\Page\Address\Detail\AddressDetailPage`](https://github.com/shopware/platform/blob/trunk/src/Storefront/Page/Address/Detail/AddressDetailPage.php)<br>context: [`Shopware\Core\Framework\Context`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/Context.php)<br>salesChannelContext: [`Shopware\Core\System\SalesChannel\SalesChannelContext`](https://github.com/shopware/platform/blob/trunk/src/Core/System/SalesChannel/SalesChannelContext.php)<br>        |
| **Available Services** | [repository](./data-loading-script-services-reference.md#RepositoryFacade)<br>[config](./miscellaneous-script-services-reference.md#SystemConfigFacade)<br>[store](./data-loading-script-services-reference.md#SalesChannelRepositoryFacade)<br> |
| **Stoppable**          | `false`                  |

#### address-book-widget-loaded

| <!-- -->               | <!-- -->                                |
|:-----------------------|:----------------------------------------|
| **Name**               | address-book-widget-loaded                         |
| **Since**              | 6.4.8.0                        |
| **Class**              | `Shopware\Storefront\Page\Address\Listing\AddressBookWidgetLoadedHook`                      |
| **Description**        | Triggered when the AddressBookWidget is loaded<br>                  |
| **Available Data**     | page: [`Shopware\Storefront\Page\Address\Listing\AddressListingPage`](https://github.com/shopware/platform/blob/trunk/src/Storefront/Page/Address/Listing/AddressListingPage.php)<br>context: [`Shopware\Core\Framework\Context`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/Context.php)<br>salesChannelContext: [`Shopware\Core\System\SalesChannel\SalesChannelContext`](https://github.com/shopware/platform/blob/trunk/src/Core/System/SalesChannel/SalesChannelContext.php)<br>        |
| **Available Services** | [repository](./data-loading-script-services-reference.md#RepositoryFacade)<br>[config](./miscellaneous-script-services-reference.md#SystemConfigFacade)<br>[store](./data-loading-script-services-reference.md#SalesChannelRepositoryFacade)<br> |
| **Stoppable**          | `false`                  |

#### address-listing-page-loaded

| <!-- -->               | <!-- -->                                |
|:-----------------------|:----------------------------------------|
| **Name**               | address-listing-page-loaded                         |
| **Since**              | 6.4.8.0                        |
| **Class**              | `Shopware\Storefront\Page\Address\Listing\AddressListingPageLoadedHook`                      |
| **Description**        | Triggered when the AddressListingPage is loaded<br>                  |
| **Available Data**     | page: [`Shopware\Storefront\Page\Address\Listing\AddressListingPage`](https://github.com/shopware/platform/blob/trunk/src/Storefront/Page/Address/Listing/AddressListingPage.php)<br>context: [`Shopware\Core\Framework\Context`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/Context.php)<br>salesChannelContext: [`Shopware\Core\System\SalesChannel\SalesChannelContext`](https://github.com/shopware/platform/blob/trunk/src/Core/System/SalesChannel/SalesChannelContext.php)<br>        |
| **Available Services** | [repository](./data-loading-script-services-reference.md#RepositoryFacade)<br>[config](./miscellaneous-script-services-reference.md#SystemConfigFacade)<br>[store](./data-loading-script-services-reference.md#SalesChannelRepositoryFacade)<br> |
| **Stoppable**          | `false`                  |

#### checkout-cart-page-loaded

| <!-- -->               | <!-- -->                                |
|:-----------------------|:----------------------------------------|
| **Name**               | checkout-cart-page-loaded                         |
| **Since**              | 6.4.8.0                        |
| **Class**              | `Shopware\Storefront\Page\Checkout\Cart\CheckoutCartPageLoadedHook`                      |
| **Description**        | Triggered when the CheckoutCartPage is loaded<br>                  |
| **Available Data**     | page: [`Shopware\Storefront\Page\Checkout\Cart\CheckoutCartPage`](https://github.com/shopware/platform/blob/trunk/src/Storefront/Page/Checkout/Cart/CheckoutCartPage.php)<br>context: [`Shopware\Core\Framework\Context`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/Context.php)<br>salesChannelContext: [`Shopware\Core\System\SalesChannel\SalesChannelContext`](https://github.com/shopware/platform/blob/trunk/src/Core/System/SalesChannel/SalesChannelContext.php)<br>        |
| **Available Services** | [repository](./data-loading-script-services-reference.md#RepositoryFacade)<br>[config](./miscellaneous-script-services-reference.md#SystemConfigFacade)<br>[store](./data-loading-script-services-reference.md#SalesChannelRepositoryFacade)<br> |
| **Stoppable**          | `false`                  |

#### checkout-confirm-page-loaded

| <!-- -->               | <!-- -->                                |
|:-----------------------|:----------------------------------------|
| **Name**               | checkout-confirm-page-loaded                         |
| **Since**              | 6.4.8.0                        |
| **Class**              | `Shopware\Storefront\Page\Checkout\Confirm\CheckoutConfirmPageLoadedHook`                      |
| **Description**        | Triggered when the CheckoutConfirmPage is loaded<br>                  |
| **Available Data**     | page: [`Shopware\Storefront\Page\Checkout\Confirm\CheckoutConfirmPage`](https://github.com/shopware/platform/blob/trunk/src/Storefront/Page/Checkout/Confirm/CheckoutConfirmPage.php)<br>context: [`Shopware\Core\Framework\Context`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/Context.php)<br>salesChannelContext: [`Shopware\Core\System\SalesChannel\SalesChannelContext`](https://github.com/shopware/platform/blob/trunk/src/Core/System/SalesChannel/SalesChannelContext.php)<br>        |
| **Available Services** | [repository](./data-loading-script-services-reference.md#RepositoryFacade)<br>[config](./miscellaneous-script-services-reference.md#SystemConfigFacade)<br>[store](./data-loading-script-services-reference.md#SalesChannelRepositoryFacade)<br> |
| **Stoppable**          | `false`                  |

#### checkout-finish-page-loaded

| <!-- -->               | <!-- -->                                |
|:-----------------------|:----------------------------------------|
| **Name**               | checkout-finish-page-loaded                         |
| **Since**              | 6.4.8.0                        |
| **Class**              | `Shopware\Storefront\Page\Checkout\Finish\CheckoutFinishPageLoadedHook`                      |
| **Description**        | Triggered when the CheckoutFinishPage is loaded<br>                  |
| **Available Data**     | page: [`Shopware\Storefront\Page\Checkout\Finish\CheckoutFinishPage`](https://github.com/shopware/platform/blob/trunk/src/Storefront/Page/Checkout/Finish/CheckoutFinishPage.php)<br>context: [`Shopware\Core\Framework\Context`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/Context.php)<br>salesChannelContext: [`Shopware\Core\System\SalesChannel\SalesChannelContext`](https://github.com/shopware/platform/blob/trunk/src/Core/System/SalesChannel/SalesChannelContext.php)<br>        |
| **Available Services** | [repository](./data-loading-script-services-reference.md#RepositoryFacade)<br>[config](./miscellaneous-script-services-reference.md#SystemConfigFacade)<br>[store](./data-loading-script-services-reference.md#SalesChannelRepositoryFacade)<br> |
| **Stoppable**          | `false`                  |

#### checkout-info-widget-loaded

| <!-- -->               | <!-- -->                                |
|:-----------------------|:----------------------------------------|
| **Name**               | checkout-info-widget-loaded                         |
| **Since**              | 6.4.8.0                        |
| **Class**              | `Shopware\Storefront\Page\Checkout\Offcanvas\CheckoutInfoWidgetLoadedHook`                      |
| **Description**        | Triggered when the CheckoutInfoWidget is loaded<br>                  |
| **Available Data**     | page: [`Shopware\Storefront\Page\Checkout\Offcanvas\OffcanvasCartPage`](https://github.com/shopware/platform/blob/trunk/src/Storefront/Page/Checkout/Offcanvas/OffcanvasCartPage.php)<br>context: [`Shopware\Core\Framework\Context`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/Context.php)<br>salesChannelContext: [`Shopware\Core\System\SalesChannel\SalesChannelContext`](https://github.com/shopware/platform/blob/trunk/src/Core/System/SalesChannel/SalesChannelContext.php)<br>        |
| **Available Services** | [repository](./data-loading-script-services-reference.md#RepositoryFacade)<br>[config](./miscellaneous-script-services-reference.md#SystemConfigFacade)<br>[store](./data-loading-script-services-reference.md#SalesChannelRepositoryFacade)<br> |
| **Stoppable**          | `false`                  |

#### checkout-offcanvas-widget-loaded

| <!-- -->               | <!-- -->                                |
|:-----------------------|:----------------------------------------|
| **Name**               | checkout-offcanvas-widget-loaded                         |
| **Since**              | 6.4.8.0                        |
| **Class**              | `Shopware\Storefront\Page\Checkout\Offcanvas\CheckoutOffcanvasWidgetLoadedHook`                      |
| **Description**        | Triggered when the CheckoutOffcanvasWidget is loaded<br>                  |
| **Available Data**     | page: [`Shopware\Storefront\Page\Checkout\Offcanvas\OffcanvasCartPage`](https://github.com/shopware/platform/blob/trunk/src/Storefront/Page/Checkout/Offcanvas/OffcanvasCartPage.php)<br>context: [`Shopware\Core\Framework\Context`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/Context.php)<br>salesChannelContext: [`Shopware\Core\System\SalesChannel\SalesChannelContext`](https://github.com/shopware/platform/blob/trunk/src/Core/System/SalesChannel/SalesChannelContext.php)<br>        |
| **Available Services** | [repository](./data-loading-script-services-reference.md#RepositoryFacade)<br>[config](./miscellaneous-script-services-reference.md#SystemConfigFacade)<br>[store](./data-loading-script-services-reference.md#SalesChannelRepositoryFacade)<br> |
| **Stoppable**          | `false`                  |

#### checkout-register-page-loaded

| <!-- -->               | <!-- -->                                |
|:-----------------------|:----------------------------------------|
| **Name**               | checkout-register-page-loaded                         |
| **Since**              | 6.4.8.0                        |
| **Class**              | `Shopware\Storefront\Page\Checkout\Register\CheckoutRegisterPageLoadedHook`                      |
| **Description**        | Triggered when the CheckoutRegisterPage is loaded<br>                  |
| **Available Data**     | page: [`Shopware\Storefront\Page\Checkout\Register\CheckoutRegisterPage`](https://github.com/shopware/platform/blob/trunk/src/Storefront/Page/Checkout/Register/CheckoutRegisterPage.php)<br>context: [`Shopware\Core\Framework\Context`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/Context.php)<br>salesChannelContext: [`Shopware\Core\System\SalesChannel\SalesChannelContext`](https://github.com/shopware/platform/blob/trunk/src/Core/System/SalesChannel/SalesChannelContext.php)<br>        |
| **Available Services** | [repository](./data-loading-script-services-reference.md#RepositoryFacade)<br>[config](./miscellaneous-script-services-reference.md#SystemConfigFacade)<br>[store](./data-loading-script-services-reference.md#SalesChannelRepositoryFacade)<br> |
| **Stoppable**          | `false`                  |

#### cms-page-loaded

| <!-- -->               | <!-- -->                                |
|:-----------------------|:----------------------------------------|
| **Name**               | cms-page-loaded                         |
| **Since**              | 6.4.8.0                        |
| **Class**              | `Shopware\Storefront\Page\Cms\CmsPageLoadedHook`                      |
| **Description**        | Triggered when a CmsPage is loaded<br>                  |
| **Available Data**     | page: [`Shopware\Core\Content\Cms\CmsPageEntity`](https://github.com/shopware/platform/blob/trunk/src/Core/Content/Cms/CmsPageEntity.php)<br>context: [`Shopware\Core\Framework\Context`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/Context.php)<br>salesChannelContext: [`Shopware\Core\System\SalesChannel\SalesChannelContext`](https://github.com/shopware/platform/blob/trunk/src/Core/System/SalesChannel/SalesChannelContext.php)<br>        |
| **Available Services** | [repository](./data-loading-script-services-reference.md#RepositoryFacade)<br>[config](./miscellaneous-script-services-reference.md#SystemConfigFacade)<br>[store](./data-loading-script-services-reference.md#SalesChannelRepositoryFacade)<br> |
| **Stoppable**          | `false`                  |

#### landing-page-loaded

| <!-- -->               | <!-- -->                                |
|:-----------------------|:----------------------------------------|
| **Name**               | landing-page-loaded                         |
| **Since**              | 6.4.8.0                        |
| **Class**              | `Shopware\Storefront\Page\LandingPage\LandingPageLoadedHook`                      |
| **Description**        | Triggered when the LandingPage is loaded<br>                  |
| **Available Data**     | page: [`Shopware\Storefront\Page\LandingPage\LandingPage`](https://github.com/shopware/platform/blob/trunk/src/Storefront/Page/LandingPage/LandingPage.php)<br>context: [`Shopware\Core\Framework\Context`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/Context.php)<br>salesChannelContext: [`Shopware\Core\System\SalesChannel\SalesChannelContext`](https://github.com/shopware/platform/blob/trunk/src/Core/System/SalesChannel/SalesChannelContext.php)<br>        |
| **Available Services** | [repository](./data-loading-script-services-reference.md#RepositoryFacade)<br>[config](./miscellaneous-script-services-reference.md#SystemConfigFacade)<br>[store](./data-loading-script-services-reference.md#SalesChannelRepositoryFacade)<br> |
| **Stoppable**          | `false`                  |

#### maintenance-page-loaded

| <!-- -->               | <!-- -->                                |
|:-----------------------|:----------------------------------------|
| **Name**               | maintenance-page-loaded                         |
| **Since**              | 6.4.8.0                        |
| **Class**              | `Shopware\Storefront\Page\Maintenance\MaintenancePageLoadedHook`                      |
| **Description**        | Triggered when the MaintenancePage is loaded<br>                  |
| **Available Data**     | page: [`Shopware\Storefront\Page\Maintenance\MaintenancePage`](https://github.com/shopware/platform/blob/trunk/src/Storefront/Page/Maintenance/MaintenancePage.php)<br>context: [`Shopware\Core\Framework\Context`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/Context.php)<br>salesChannelContext: [`Shopware\Core\System\SalesChannel\SalesChannelContext`](https://github.com/shopware/platform/blob/trunk/src/Core/System/SalesChannel/SalesChannelContext.php)<br>        |
| **Available Services** | [repository](./data-loading-script-services-reference.md#RepositoryFacade)<br>[config](./miscellaneous-script-services-reference.md#SystemConfigFacade)<br>[store](./data-loading-script-services-reference.md#SalesChannelRepositoryFacade)<br> |
| **Stoppable**          | `false`                  |

#### navigation-page-loaded

| <!-- -->               | <!-- -->                                |
|:-----------------------|:----------------------------------------|
| **Name**               | navigation-page-loaded                         |
| **Since**              | 6.4.8.0                        |
| **Class**              | `Shopware\Storefront\Page\Navigation\NavigationPageLoadedHook`                      |
| **Description**        | Triggered when the NavigationPage is loaded<br>                  |
| **Available Data**     | page: [`Shopware\Storefront\Page\Navigation\NavigationPage`](https://github.com/shopware/platform/blob/trunk/src/Storefront/Page/Navigation/NavigationPage.php)<br>context: [`Shopware\Core\Framework\Context`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/Context.php)<br>salesChannelContext: [`Shopware\Core\System\SalesChannel\SalesChannelContext`](https://github.com/shopware/platform/blob/trunk/src/Core/System/SalesChannel/SalesChannelContext.php)<br>        |
| **Available Services** | [repository](./data-loading-script-services-reference.md#RepositoryFacade)<br>[config](./miscellaneous-script-services-reference.md#SystemConfigFacade)<br>[store](./data-loading-script-services-reference.md#SalesChannelRepositoryFacade)<br> |
| **Stoppable**          | `false`                  |

#### product-page-loaded

| <!-- -->               | <!-- -->                                |
|:-----------------------|:----------------------------------------|
| **Name**               | product-page-loaded                         |
| **Since**              | 6.4.8.0                        |
| **Class**              | `Shopware\Storefront\Page\Product\ProductPageLoadedHook`                      |
| **Description**        | Triggered when the ProductPage is loaded<br>                  |
| **Available Data**     | page: [`Shopware\Storefront\Page\Product\ProductPage`](https://github.com/shopware/platform/blob/trunk/src/Storefront/Page/Product/ProductPage.php)<br>context: [`Shopware\Core\Framework\Context`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/Context.php)<br>salesChannelContext: [`Shopware\Core\System\SalesChannel\SalesChannelContext`](https://github.com/shopware/platform/blob/trunk/src/Core/System/SalesChannel/SalesChannelContext.php)<br>        |
| **Available Services** | [repository](./data-loading-script-services-reference.md#RepositoryFacade)<br>[config](./miscellaneous-script-services-reference.md#SystemConfigFacade)<br>[store](./data-loading-script-services-reference.md#SalesChannelRepositoryFacade)<br> |
| **Stoppable**          | `false`                  |

#### product-quick-view-widget-loaded

| <!-- -->               | <!-- -->                                |
|:-----------------------|:----------------------------------------|
| **Name**               | product-quick-view-widget-loaded                         |
| **Since**              | 6.4.8.0                        |
| **Class**              | `Shopware\Storefront\Page\Product\QuickView\ProductQuickViewWidgetLoadedHook`                      |
| **Description**        | Triggered when the ProductQuickViewWidget is loaded<br>                  |
| **Available Data**     | page: [`Shopware\Storefront\Page\Product\QuickView\MinimalQuickViewPage`](https://github.com/shopware/platform/blob/trunk/src/Storefront/Page/Product/QuickView/MinimalQuickViewPage.php)<br>context: [`Shopware\Core\Framework\Context`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/Context.php)<br>salesChannelContext: [`Shopware\Core\System\SalesChannel\SalesChannelContext`](https://github.com/shopware/platform/blob/trunk/src/Core/System/SalesChannel/SalesChannelContext.php)<br>        |
| **Available Services** | [repository](./data-loading-script-services-reference.md#RepositoryFacade)<br>[config](./miscellaneous-script-services-reference.md#SystemConfigFacade)<br>[store](./data-loading-script-services-reference.md#SalesChannelRepositoryFacade)<br> |
| **Stoppable**          | `false`                  |

#### product-reviews-loaded

| <!-- -->               | <!-- -->                                |
|:-----------------------|:----------------------------------------|
| **Name**               | product-reviews-loaded                         |
| **Since**              | 6.4.8.0                        |
| **Class**              | `Shopware\Storefront\Page\Product\Review\ProductReviewsWidgetLoadedHook`                      |
| **Description**        | Triggered when the ProductReviewsWidget is loaded<br>                  |
| **Available Data**     | reviews: [`Shopware\Storefront\Page\Product\Review\ReviewLoaderResult`](https://github.com/shopware/platform/blob/trunk/src/Storefront/Page/Product/Review/ReviewLoaderResult.php)<br>context: [`Shopware\Core\Framework\Context`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/Context.php)<br>salesChannelContext: [`Shopware\Core\System\SalesChannel\SalesChannelContext`](https://github.com/shopware/platform/blob/trunk/src/Core/System/SalesChannel/SalesChannelContext.php)<br>        |
| **Available Services** | [repository](./data-loading-script-services-reference.md#RepositoryFacade)<br>[config](./miscellaneous-script-services-reference.md#SystemConfigFacade)<br>[store](./data-loading-script-services-reference.md#SalesChannelRepositoryFacade)<br> |
| **Stoppable**          | `false`                  |

#### search-page-loaded

| <!-- -->               | <!-- -->                                |
|:-----------------------|:----------------------------------------|
| **Name**               | search-page-loaded                         |
| **Since**              | 6.4.8.0                        |
| **Class**              | `Shopware\Storefront\Page\Search\SearchPageLoadedHook`                      |
| **Description**        | Triggered when the SearchPage is loaded<br>                  |
| **Available Data**     | page: [`Shopware\Storefront\Page\Search\SearchPage`](https://github.com/shopware/platform/blob/trunk/src/Storefront/Page/Search/SearchPage.php)<br>context: [`Shopware\Core\Framework\Context`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/Context.php)<br>salesChannelContext: [`Shopware\Core\System\SalesChannel\SalesChannelContext`](https://github.com/shopware/platform/blob/trunk/src/Core/System/SalesChannel/SalesChannelContext.php)<br>        |
| **Available Services** | [repository](./data-loading-script-services-reference.md#RepositoryFacade)<br>[config](./miscellaneous-script-services-reference.md#SystemConfigFacade)<br>[store](./data-loading-script-services-reference.md#SalesChannelRepositoryFacade)<br> |
| **Stoppable**          | `false`                  |

#### search-widget-loaded

| <!-- -->               | <!-- -->                                |
|:-----------------------|:----------------------------------------|
| **Name**               | search-widget-loaded                         |
| **Since**              | 6.4.8.0                        |
| **Class**              | `Shopware\Storefront\Page\Search\SearchWidgetLoadedHook`                      |
| **Description**        | Triggered when the SearchWidget is loaded<br>                  |
| **Available Data**     | page: [`Shopware\Storefront\Page\Search\SearchPage`](https://github.com/shopware/platform/blob/trunk/src/Storefront/Page/Search/SearchPage.php)<br>context: [`Shopware\Core\Framework\Context`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/Context.php)<br>salesChannelContext: [`Shopware\Core\System\SalesChannel\SalesChannelContext`](https://github.com/shopware/platform/blob/trunk/src/Core/System/SalesChannel/SalesChannelContext.php)<br>        |
| **Available Services** | [repository](./data-loading-script-services-reference.md#RepositoryFacade)<br>[config](./miscellaneous-script-services-reference.md#SystemConfigFacade)<br>[store](./data-loading-script-services-reference.md#SalesChannelRepositoryFacade)<br> |
| **Stoppable**          | `false`                  |

#### sitemap-page-loaded

| <!-- -->               | <!-- -->                                |
|:-----------------------|:----------------------------------------|
| **Name**               | sitemap-page-loaded                         |
| **Since**              | 6.4.8.0                        |
| **Class**              | `Shopware\Storefront\Page\Sitemap\SitemapPageLoadedHook`                      |
| **Description**        | Triggered when the SitemapPage is loaded<br>                  |
| **Available Data**     | page: [`Shopware\Storefront\Page\Sitemap\SitemapPage`](https://github.com/shopware/platform/blob/trunk/src/Storefront/Page/Sitemap/SitemapPage.php)<br>context: [`Shopware\Core\Framework\Context`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/Context.php)<br>salesChannelContext: [`Shopware\Core\System\SalesChannel\SalesChannelContext`](https://github.com/shopware/platform/blob/trunk/src/Core/System/SalesChannel/SalesChannelContext.php)<br>        |
| **Available Services** | [repository](./data-loading-script-services-reference.md#RepositoryFacade)<br>[config](./miscellaneous-script-services-reference.md#SystemConfigFacade)<br>[store](./data-loading-script-services-reference.md#SalesChannelRepositoryFacade)<br> |
| **Stoppable**          | `false`                  |

#### suggest-page-loaded

| <!-- -->               | <!-- -->                                |
|:-----------------------|:----------------------------------------|
| **Name**               | suggest-page-loaded                         |
| **Since**              | 6.4.8.0                        |
| **Class**              | `Shopware\Storefront\Page\Suggest\SuggestPageLoadedHook`                      |
| **Description**        | Triggered when the SuggestPage is loaded<br>                  |
| **Available Data**     | page: [`Shopware\Storefront\Page\Suggest\SuggestPage`](https://github.com/shopware/platform/blob/trunk/src/Storefront/Page/Suggest/SuggestPage.php)<br>context: [`Shopware\Core\Framework\Context`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/Context.php)<br>salesChannelContext: [`Shopware\Core\System\SalesChannel\SalesChannelContext`](https://github.com/shopware/platform/blob/trunk/src/Core/System/SalesChannel/SalesChannelContext.php)<br>        |
| **Available Services** | [repository](./data-loading-script-services-reference.md#RepositoryFacade)<br>[config](./miscellaneous-script-services-reference.md#SystemConfigFacade)<br>[store](./data-loading-script-services-reference.md#SalesChannelRepositoryFacade)<br> |
| **Stoppable**          | `false`                  |

#### guest-wishlist-page-loaded

| <!-- -->               | <!-- -->                                |
|:-----------------------|:----------------------------------------|
| **Name**               | guest-wishlist-page-loaded                         |
| **Since**              | 6.4.8.0                        |
| **Class**              | `Shopware\Storefront\Page\Wishlist\GuestWishlistPageLoadedHook`                      |
| **Description**        | Triggered when the GuestWishlistPage is loaded<br>                  |
| **Available Data**     | page: [`Shopware\Storefront\Page\Wishlist\GuestWishlistPage`](https://github.com/shopware/platform/blob/trunk/src/Storefront/Page/Wishlist/GuestWishlistPage.php)<br>context: [`Shopware\Core\Framework\Context`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/Context.php)<br>salesChannelContext: [`Shopware\Core\System\SalesChannel\SalesChannelContext`](https://github.com/shopware/platform/blob/trunk/src/Core/System/SalesChannel/SalesChannelContext.php)<br>        |
| **Available Services** | [repository](./data-loading-script-services-reference.md#RepositoryFacade)<br>[config](./miscellaneous-script-services-reference.md#SystemConfigFacade)<br>[store](./data-loading-script-services-reference.md#SalesChannelRepositoryFacade)<br> |
| **Stoppable**          | `false`                  |

#### wishlist-page-loaded

| <!-- -->               | <!-- -->                                |
|:-----------------------|:----------------------------------------|
| **Name**               | wishlist-page-loaded                         |
| **Since**              | 6.4.8.0                        |
| **Class**              | `Shopware\Storefront\Page\Wishlist\WishlistPageLoadedHook`                      |
| **Description**        | Triggered when the WishlistPage is loaded<br>                  |
| **Available Data**     | page: [`Shopware\Storefront\Page\Wishlist\WishlistPage`](https://github.com/shopware/platform/blob/trunk/src/Storefront/Page/Wishlist/WishlistPage.php)<br>context: [`Shopware\Core\Framework\Context`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/Context.php)<br>salesChannelContext: [`Shopware\Core\System\SalesChannel\SalesChannelContext`](https://github.com/shopware/platform/blob/trunk/src/Core/System/SalesChannel/SalesChannelContext.php)<br>        |
| **Available Services** | [repository](./data-loading-script-services-reference.md#RepositoryFacade)<br>[config](./miscellaneous-script-services-reference.md#SystemConfigFacade)<br>[store](./data-loading-script-services-reference.md#SalesChannelRepositoryFacade)<br> |
| **Stoppable**          | `false`                  |

#### wishlist-widget-loaded

| <!-- -->               | <!-- -->                                |
|:-----------------------|:----------------------------------------|
| **Name**               | wishlist-widget-loaded                         |
| **Since**              | 6.4.8.0                        |
| **Class**              | `Shopware\Storefront\Page\Wishlist\WishlistWidgetLoadedHook`                      |
| **Description**        | Triggered when the WishlistWidget is loaded<br>                  |
| **Available Data**     | page: [`Shopware\Storefront\Page\Wishlist\WishlistPage`](https://github.com/shopware/platform/blob/trunk/src/Storefront/Page/Wishlist/WishlistPage.php)<br>context: [`Shopware\Core\Framework\Context`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/Context.php)<br>salesChannelContext: [`Shopware\Core\System\SalesChannel\SalesChannelContext`](https://github.com/shopware/platform/blob/trunk/src/Core/System/SalesChannel/SalesChannelContext.php)<br>        |
| **Available Services** | [repository](./data-loading-script-services-reference.md#RepositoryFacade)<br>[config](./miscellaneous-script-services-reference.md#SystemConfigFacade)<br>[store](./data-loading-script-services-reference.md#SalesChannelRepositoryFacade)<br> |
| **Stoppable**          | `false`                  |

#### menu-offcanvas-pagelet-loaded

| <!-- -->               | <!-- -->                                |
|:-----------------------|:----------------------------------------|
| **Name**               | menu-offcanvas-pagelet-loaded                         |
| **Since**              | 6.4.8.0                        |
| **Class**              | `Shopware\Storefront\Pagelet\Menu\Offcanvas\MenuOffcanvasPageletLoadedHook`                      |
| **Description**        | Triggered when the MenuOffcanvasPagelet is loaded<br>                  |
| **Available Data**     | page: [`Shopware\Storefront\Pagelet\Menu\Offcanvas\MenuOffcanvasPagelet`](https://github.com/shopware/platform/blob/trunk/src/Storefront/Pagelet/Menu/Offcanvas/MenuOffcanvasPagelet.php)<br>context: [`Shopware\Core\Framework\Context`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/Context.php)<br>salesChannelContext: [`Shopware\Core\System\SalesChannel\SalesChannelContext`](https://github.com/shopware/platform/blob/trunk/src/Core/System/SalesChannel/SalesChannelContext.php)<br>        |
| **Available Services** | [repository](./data-loading-script-services-reference.md#RepositoryFacade)<br>[config](./miscellaneous-script-services-reference.md#SystemConfigFacade)<br>[store](./data-loading-script-services-reference.md#SalesChannelRepositoryFacade)<br> |
| **Stoppable**          | `false`                  |

#### guest-wishlist-pagelet-loaded

| <!-- -->               | <!-- -->                                |
|:-----------------------|:----------------------------------------|
| **Name**               | guest-wishlist-pagelet-loaded                         |
| **Since**              | 6.4.8.0                        |
| **Class**              | `Shopware\Storefront\Pagelet\Wishlist\GuestWishlistPageletLoadedHook`                      |
| **Description**        | Triggered when the GuestWishlistPagelet is loaded<br>                  |
| **Available Data**     | page: [`Shopware\Storefront\Pagelet\Wishlist\GuestWishlistPagelet`](https://github.com/shopware/platform/blob/trunk/src/Storefront/Pagelet/Wishlist/GuestWishlistPagelet.php)<br>context: [`Shopware\Core\Framework\Context`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/Context.php)<br>salesChannelContext: [`Shopware\Core\System\SalesChannel\SalesChannelContext`](https://github.com/shopware/platform/blob/trunk/src/Core/System/SalesChannel/SalesChannelContext.php)<br>        |
| **Available Services** | [repository](./data-loading-script-services-reference.md#RepositoryFacade)<br>[config](./miscellaneous-script-services-reference.md#SystemConfigFacade)<br>[store](./data-loading-script-services-reference.md#SalesChannelRepositoryFacade)<br> |
| **Stoppable**          | `false`                  |

## Cart Manipulation

All available Hooks that can be used to manipulate the cart.

#### cart

| <!-- -->               | <!-- -->                                |
|:-----------------------|:----------------------------------------|
| **Name**               | cart                         |
| **Since**              | 6.4.8.0                        |
| **Class**              | `Shopware\Core\Checkout\Cart\Hook\CartHook`                      |
| **Description**        | Triggered during the cart calculation process.<br>                  |
| **Available Data**     | cart: [`Shopware\Core\Checkout\Cart\Cart`](https://github.com/shopware/platform/blob/trunk/src/Core/Checkout/Cart/Cart.php)<br>salesChannelContext: [`Shopware\Core\System\SalesChannel\SalesChannelContext`](https://github.com/shopware/platform/blob/trunk/src/Core/System/SalesChannel/SalesChannelContext.php)<br>context: [`Shopware\Core\Framework\Context`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/Context.php)<br>        |
| **Available Services** | [cart](./cart-manipulation-script-services-reference.md#CartFacade)<br>[config](./miscellaneous-script-services-reference.md#SystemConfigFacade)<br> |
| **Stoppable**          | `false`                  |

## Custom API endpoint

All available hooks within the Store-API and API

#### cache-invalidation

| <!-- -->               | <!-- -->                                |
|:-----------------------|:----------------------------------------|
| **Name**               | cache-invalidation                         |
| **Since**              | 6.4.9.0                        |
| **Class**              | `Shopware\Core\Framework\Adapter\Cache\Script\CacheInvalidationHook`                      |
| **Description**        | Triggered whenever an entity is written.<br>                  |
| **Available Data**     | event: [`Shopware\Core\Framework\Adapter\Cache\Script\Facade\WrittenEventScriptFacade`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/Adapter/Cache/Script/Facade/WrittenEventScriptFacade.php)<br>context: [`Shopware\Core\Framework\Context`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/Context.php)<br>        |
| **Available Services** | [cache](./custom-endpoint-script-services-reference.md#CacheInvalidatorFacade)<br> |
| **Stoppable**          | `false`                  |

#### api-{hook}

| <!-- -->               | <!-- -->                                |
|:-----------------------|:----------------------------------------|
| **Name**               | api-{hook}                         |
| **Since**              | 6.4.9.0                        |
| **Class**              | `Shopware\Core\Framework\Script\Api\ApiHook`                      |
| **Description**        | Triggered when the api endpoint /api/script/{hook} is called<br>                  |
| **Available Data**     | request: `array`<br>name: `string`<br>context: [`Shopware\Core\Framework\Context`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/Context.php)<br>isPropagationStopped: `bool`<br>scriptResponse: [`Shopware\Core\Framework\Script\Api\ScriptResponse`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/Script/Api/ScriptResponse.php)<br>        |
| **Available Services** | [repository](./data-loading-script-services-reference.md#RepositoryFacade)<br>[writer](./custom-endpoint-script-services-reference.md#RepositoryWriterFacade)<br>[config](./miscellaneous-script-services-reference.md#SystemConfigFacade)<br>[response](./custom-endpoint-script-services-reference.md#ScriptResponseFactoryFacade)<br> |
| **Stoppable**          | `true`                  |

#### store-api-{hook}

**Interface Hook**

Triggered when the api endpoint /store-api/script/{hook} is called. Used to execute your logic and provide a response to the request.<br>

##### Function: `cache_key`

| <!-- -->               | <!-- -->                                        |
|:-----------------------|:------------------------------------------------|
| **Name**               | cache_key                              |
| **Since**              | 6.4.9.0                        |
| **Optional**           | `true`                   |
| **Class**              | `Shopware\Core\Framework\Script\Api\StoreApiCacheKeyHook`                      |
| **Description**        | Triggered when the api endpoint /store-api/script/{hook} is called. Used to provide a cache-key based on the request.<br>Needs to be implemented when your store-api route should be cached.                  |
| **Available Data**     | request: `array`<br>query: `array`<br>salesChannelContext: [`Shopware\Core\System\SalesChannel\SalesChannelContext`](https://github.com/shopware/platform/blob/trunk/src/Core/System/SalesChannel/SalesChannelContext.php)<br>name: `string`<br>cacheKey: `string`<br>context: [`Shopware\Core\Framework\Context`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/Context.php)<br>isPropagationStopped: `bool`<br>        |
| **Available Services** |  |
| **Stoppable**          | `true`                  |

##### Function: `response`

| <!-- -->               | <!-- -->                                        |
|:-----------------------|:------------------------------------------------|
| **Name**               | response                              |
| **Since**              | 6.4.9.0                        |
| **Optional**           | `false`                   |
| **Class**              | `Shopware\Core\Framework\Script\Api\StoreApiResponseHook`                      |
| **Description**        | Triggered when the api endpoint /store-api/script/{hook} is called. Used to provide the HTTP-Response.<br>This function is only called when no response for the provided cache key is cached, or no `cache_key` function implemented.                  |
| **Available Data**     | request: `array`<br>query: `array`<br>salesChannelContext: [`Shopware\Core\System\SalesChannel\SalesChannelContext`](https://github.com/shopware/platform/blob/trunk/src/Core/System/SalesChannel/SalesChannelContext.php)<br>name: `string`<br>context: [`Shopware\Core\Framework\Context`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/Context.php)<br>scriptResponse: [`Shopware\Core\Framework\Script\Api\ScriptResponse`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/Script/Api/ScriptResponse.php)<br>isPropagationStopped: `bool`<br>        |
| **Available Services** | [repository](./data-loading-script-services-reference.md#RepositoryFacade)<br>[config](./miscellaneous-script-services-reference.md#SystemConfigFacade)<br>[store](./data-loading-script-services-reference.md#SalesChannelRepositoryFacade)<br>[writer](./custom-endpoint-script-services-reference.md#RepositoryWriterFacade)<br>[response](./custom-endpoint-script-services-reference.md#ScriptResponseFactoryFacade)<br> |
| **Stoppable**          | `true`                  |

#### storefront-{hook}

| <!-- -->               | <!-- -->                                |
|:-----------------------|:----------------------------------------|
| **Name**               | storefront-{hook}                         |
| **Since**              | 6.4.9.0                        |
| **Class**              | `Shopware\Storefront\Framework\Script\Api\StorefrontHook`                      |
| **Description**        | Triggered when the storefront endpoint /storefront/script/{hook} is called<br>                  |
| **Available Data**     | request: `array`<br>query: `array`<br>salesChannelContext: [`Shopware\Core\System\SalesChannel\SalesChannelContext`](https://github.com/shopware/platform/blob/trunk/src/Core/System/SalesChannel/SalesChannelContext.php)<br>script: `string`<br>page: [`Shopware\Storefront\Page\Page`](https://github.com/shopware/platform/blob/trunk/src/Storefront/Page/Page.php)<br>context: [`Shopware\Core\Framework\Context`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/Context.php)<br>isPropagationStopped: `bool`<br>scriptResponse: [`Shopware\Core\Framework\Script\Api\ScriptResponse`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/Script/Api/ScriptResponse.php)<br>        |
| **Available Services** | [repository](./data-loading-script-services-reference.md#RepositoryFacade)<br>[config](./miscellaneous-script-services-reference.md#SystemConfigFacade)<br>[store](./data-loading-script-services-reference.md#SalesChannelRepositoryFacade)<br>[writer](./custom-endpoint-script-services-reference.md#RepositoryWriterFacade)<br>[response](./custom-endpoint-script-services-reference.md#ScriptResponseFactoryFacade)<br> |
| **Stoppable**          | `true`                  |

## App Lifecycle

All available hooks that can be used to execute scripts during your app's lifecycle.

#### app-activated

| <!-- -->               | <!-- -->                                |
|:-----------------------|:----------------------------------------|
| **Name**               | app-activated                         |
| **Since**              | 6.4.9.0                        |
| **Class**              | `Shopware\Core\Framework\App\Event\Hooks\AppActivatedHook`                      |
| **Description**        | Triggered when your app is activated.<br>                  |
| **Available Data**     | event: [`Shopware\Core\Framework\App\Event\AppActivatedEvent`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/App/Event/AppActivatedEvent.php)<br>context: [`Shopware\Core\Framework\Context`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/Context.php)<br>        |
| **Available Services** | [repository](./data-loading-script-services-reference.md#RepositoryFacade)<br>[config](./miscellaneous-script-services-reference.md#SystemConfigFacade)<br>[writer](./custom-endpoint-script-services-reference.md#RepositoryWriterFacade)<br> |
| **Stoppable**          | `false`                  |

#### app-deactivated

| <!-- -->               | <!-- -->                                |
|:-----------------------|:----------------------------------------|
| **Name**               | app-deactivated                         |
| **Since**              | 6.4.9.0                        |
| **Class**              | `Shopware\Core\Framework\App\Event\Hooks\AppDeactivatedHook`                      |
| **Description**        | Triggered when your app is deactivated.<br>                  |
| **Available Data**     | event: [`Shopware\Core\Framework\App\Event\AppDeactivatedEvent`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/App/Event/AppDeactivatedEvent.php)<br>context: [`Shopware\Core\Framework\Context`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/Context.php)<br>        |
| **Available Services** | [repository](./data-loading-script-services-reference.md#RepositoryFacade)<br>[config](./miscellaneous-script-services-reference.md#SystemConfigFacade)<br>[writer](./custom-endpoint-script-services-reference.md#RepositoryWriterFacade)<br> |
| **Stoppable**          | `false`                  |

#### app-deleted

| <!-- -->               | <!-- -->                                |
|:-----------------------|:----------------------------------------|
| **Name**               | app-deleted                         |
| **Since**              | 6.4.9.0                        |
| **Class**              | `Shopware\Core\Framework\App\Event\Hooks\AppDeletedHook`                      |
| **Description**        | Triggered when your app is deleted.<br>                  |
| **Available Data**     | event: [`Shopware\Core\Framework\App\Event\AppDeletedEvent`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/App/Event/AppDeletedEvent.php)<br>context: [`Shopware\Core\Framework\Context`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/Context.php)<br>        |
| **Available Services** | [repository](./data-loading-script-services-reference.md#RepositoryFacade)<br>[config](./miscellaneous-script-services-reference.md#SystemConfigFacade)<br>[writer](./custom-endpoint-script-services-reference.md#RepositoryWriterFacade)<br> |
| **Stoppable**          | `false`                  |

#### app-installed

| <!-- -->               | <!-- -->                                |
|:-----------------------|:----------------------------------------|
| **Name**               | app-installed                         |
| **Since**              | 6.4.9.0                        |
| **Class**              | `Shopware\Core\Framework\App\Event\Hooks\AppInstalledHook`                      |
| **Description**        | Triggered when your app is installed.<br>                  |
| **Available Data**     | event: [`Shopware\Core\Framework\App\Event\AppInstalledEvent`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/App/Event/AppInstalledEvent.php)<br>context: [`Shopware\Core\Framework\Context`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/Context.php)<br>        |
| **Available Services** | [repository](./data-loading-script-services-reference.md#RepositoryFacade)<br>[config](./miscellaneous-script-services-reference.md#SystemConfigFacade)<br>[writer](./custom-endpoint-script-services-reference.md#RepositoryWriterFacade)<br> |
| **Stoppable**          | `false`                  |

#### app-updated

| <!-- -->               | <!-- -->                                |
|:-----------------------|:----------------------------------------|
| **Name**               | app-updated                         |
| **Since**              | 6.4.9.0                        |
| **Class**              | `Shopware\Core\Framework\App\Event\Hooks\AppUpdatedHook`                      |
| **Description**        | Triggered when your app is updated.<br>                  |
| **Available Data**     | event: [`Shopware\Core\Framework\App\Event\AppUpdatedEvent`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/App/Event/AppUpdatedEvent.php)<br>context: [`Shopware\Core\Framework\Context`](https://github.com/shopware/platform/blob/trunk/src/Core/Framework/Context.php)<br>        |
| **Available Services** | [repository](./data-loading-script-services-reference.md#RepositoryFacade)<br>[config](./miscellaneous-script-services-reference.md#SystemConfigFacade)<br>[writer](./custom-endpoint-script-services-reference.md#RepositoryWriterFacade)<br> |
| **Stoppable**          | `false`                  |

